"""
    This python file contains functions in SpaceClaim context
"""
import units

def createBox(xa, ya, za, xb, yb, zb):
    """
        This method defines how to create a box with one point and its opposite
    """
    win = Window.ActiveWindow
    context = win.ActiveContext
    part = context.ActivePart

    lengthX = xb - xa
    lengthY = yb - ya
    lengthZ = zb - za
    xa = xa + lengthX * 0.5
    ya = ya + lengthY * 0.5

    p = Geometry.PointUV.Create(0, 0)
    body = Modeler.Body.ExtrudeProfile(Geometry.RectangleProfile(Geometry.Plane.PlaneXY, lengthX, lengthY, p, 0), lengthZ)
    designBody = DesignBody.Create(part, "body", body)

    translation = Geometry.Matrix.CreateTranslation(Geometry.Vector.Create(xa, ya, za))
    designBody.Transform(translation)


def UpdateCubeSC(step):
    """
        This method creates the geometry
    """
    length = step.Properties["Geometry/Length"].Value
    width = step.Properties["Geometry/Width"].Value
    height = step.Properties["Geometry/Height"].Value

    createBox(0., -width/2., -height/2.0, length,width/2., height/2.0)

    return True
